javax.swing.plaf

## Class DesktopIconUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.DesktopIconUI

Direct Known Subclasses:
  BasicDesktopIconUI, MultiDesktopIconUI

    public abstract class DesktopIconUI
    extends ComponentUI

Pluggable look and feel interface for JDesktopIcon.

### Constructor Summary

Constructors
Constructor and Description
`DesktopIconUI()`

### Method Summary

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DesktopIconUI

    public DesktopIconUI()

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.